# Makefile to compile with gccwin using ANSI screen I/O

CC=gccwin
COPTS=-DNUMCOLS=40 -S -O2 -D__WIN32__ -D__STATIC__ -D__NOBIVA__ -DWIN32 -DNO_QUICK -I../../pdos/pdpclib -I../../pdos/src

all: clean msged.exe

msged.exe: ansi.o     \
     areas.o    \
     bmg.o      \
     config.o   \
     control.o  \
     date.o     \
     dialogs.o  \
     dirute.o   \
     dlgbox.o   \
     fido.o     \
     getopts.o  \
     help.o     \
     helpcmp.o  \
     helpinfo.o \
     init.o     \
     keycode.o  \
     list.o     \
     maintmsg.o \
     makemsgn.o \
     memextra.o \
     menu.o     \
     misc.o     \
     mnu.o      \
     msged.o    \
     mxbt.o     \
     normalc.o  \
     nshow.o    \
     quote.o    \
     readmail.o \
     screen.o   \
     strextra.o \
     system.o   \
     template.o \
     textfile.o \
     userlist.o \
     vsev.o     \
     vsevops.o  \
     win.o      \
     wrap.o     \
     unixio.o
  ldwin -s -o msged.exe ../../pdos/pdpclib/p32start.o msged.o temp.a ../../pdos/pdpclib/pdpwin32.a ../../pdos/src/kernel32.a

.c.o:
  $(CC) $(COPTS) -o $*.s $<
  aswin -o $@ $*.s
  rm -f $*.s
  arwin r temp.a $@

clean:
  rm -f temp.a
